/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-common-theme                                                                            -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

@mixin chvote-input-style($theme) {

  .mat-input-element {
    font-size: 1.6rem !important;
  }

  mat-select.mat-select-disabled .mat-select-arrow-wrapper {
    visibility: hidden;
  }

  // floating placeholder should be 1.4rem size
  .mat-form-field-can-float.mat-form-field-should-float .mat-form-field-placeholder {
    -webkit-transform: translateY(-1.28125em) scale(1) perspective(100px) translateZ(0.001px);
    transform: translateY(-1.28125em) scale(1) perspective(100px) translateZ(0.001px);
    -ms-transform: translateY(-1.28125em) scale(1);
    width: 133.33333333%;
  }

  mat-error {
    font-size: 1.4rem;
  }

  .row >.readonly-label {
    margin-right: 1rem;
  }

  .readonly-label {
    font-size: 1.4rem;
    color: rgba(0, 0, 0, 0.50);
    line-height: 1.7rem;
  }

  .readonly-value {
    font-size: 1.6rem;
    line-height: 1.7rem;
  }
}






